function [ub,lb,eigv] = bound(obj,str,tol,gap)
  switch obj.type
   case obj.MATRIX
		 [~,~,E,eigv] = miguptri(obj.A,str,tol,gap);
		 ub = norm(E,'fro');
		 if str.codim() > obj.mlstruct.codim()
			 lb = mlbound(obj.A,str,tol,gap);
		 else
			 lb = 0.0;
		 end
   case obj.PENCIL
		 [~,~,~,~,E,F,eigv] = piguptri(obj.A,obj.B,str,tol,gap);
		 ub = sqrt(norm(E,'fro')^2+norm(F,'fro')^2);
		 if str.codim() > obj.mlstruct.codim()
			 lb = plbound(obj.A,obj.B,str,tol);
		 else
			 lb = 0.0;
		 end
	 case obj.PAIR
		 [~,~,~,E,F,eigv] = s2iguptri(oftype(str),obj.A,obj.B,str,tol,gap);
		 ub = sqrt(norm(E,'fro')^2+norm(F,'fro')^2);
		 if str.codim() > obj.mlstruct.codim()
			 lb = s2lbound(obj.A,obj.B,str,tol,gap);
		 else
			 lb = 0.0;
		 end
  end
	