function [jsetupName,jexpanderName,jsetupSize,jblockParameters] = tojava(sgcom, expander)
%TOJAVA Convert a structure object to the StratiGraph representation.
%   [JSetupName, JExpanderName, JSetupSize, JBlockParameters] =
%   TOJAVA(SGCom, Expander) returns the StratiGraph object representations
%   of the setup in form of the setup name JSetupName, the expander name
%   JExpanderName, the SizeParameter object JSetupSize, and the
%   BlockParameters object JBlockParameters. Calls the private method
%   mcsstruct.tojava().
%
%   If Expander is an empty string or 'default', the expander is set by the
%   canonical structure object. Otherwise, the given expander is checked if
%   it can be used.

% This file is part of the Matlab plugin for StratiGraph.
% This file is freely-available under the modified
% BSD license.

[jsetupName,jexpanderName,jsetupSize,jblockParameters] = tojava(sgcom.mlstruct, ...
                                                  expander);
